//: C01:MaDestruktor.cpp {O}
// From "Thinking in C++, Volume 2", by Bruce Eckel & Chuck Allison.
// (c) 1995-2004 MindView, Inc. All Rights Reserved.
// See source code use permissions stated in the file 'License.txt',
// distributed with the code package available at www.MindView.net.
class MaDestruktor {
public:
  ~MaDestruktor() {}
};

void g(); // Jediné, co víme, je, že g může vyvolat výjimku.

void f() {
  MaDestruktor h;
  g();
} ///:~
